Subject: RE: QEMU image downloaded from website fails to reconfigure with current config

From: Josh Simmons <[email-masked]>
Date: Mon, 3 Jun 2024 00:36:50 +0900

I also hit this same issue with the QEMU image and have made some progress:

 - Folks in IRC logs had mentioned that Shepherd added support for the
"service" interface in 0.10 (
https://logs.guix.gnu.org/guix/2024-03-12.log#133456). I took a stab that
maybe there was a 0.9 compatibility layer that was removed at some point
between the release of 0.10 and the current day, so I did a `guix
time-machine --commit=72a0d835 -- pull` and reconfigure. That did appear to
get around the "service" interface Shepherd error that OP mentioned in
their report.

 - For the magic number disk issue, it appears that the bootloader is
mistakenly (???) configured to boot from /dev/vda1 with the
grub-bootloader. When I changed it to /dev/vda2 (the root partition of the
QEMU image) it booted successfully. /dev/vda1 appears to be an EFI
partition, so maybe `grub-efi-bootloader` should be used instead?

Hope this helps others, too!

-Josh